Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\API\Repository\URLService Interface Reference

URL Service. More...

Inheritance diagram for eZ\Publish\API\Repository\URLService:

## Public Member Functions
| createUpdateStruct ()
| Instantiates a new URL update struct. More...
| findUrls (URLQuery $query)
| Find URLs. More...
| findUsages (URL $url, $offset=0, $limit=-1)
| Find content objects using URL. More...
| loadById ($id)
| Load single URL (by ID). More...
| loadByUrl ($url)
| Load single URL (by URL). More...
| updateUrl (URL $url, URLUpdateStruct $struct)
| Updates URL. More...

## Detailed Description

URL Service.

Definition at line 16 of file API/Repository/URLService.php.

## Member Function Documentation

## ◆ createUpdateStruct()

eZ\Publish\API\Repository\URLService::createUpdateStruct | ( |  | ) |

Instantiates a new URL update struct.

Returns
  \eZ\Publish\API\Repository\Values\URL\URLUpdateStruct

Implemented in eZ\Publish\Core\SignalSlot\URLService, and eZ\Publish\Core\Repository\URLService.

## ◆ findUrls()

eZ\Publish\API\Repository\URLService::findUrls | ( | URLQuery | $query | ) |

Find URLs.

Exceptions

Implemented in eZ\Publish\Core\SignalSlot\URLService, and eZ\Publish\Core\Repository\URLService.

## ◆ findUsages()

eZ\Publish\API\Repository\URLService::findUsages | ( | URL | $url,
|  |  | $offset = `0`,
|  |  | $limit = `-1`
| ) |  |

Find content objects using URL.

Content is filter by user permissions.

Parameters

  \eZ\Publish\API\Repository\Values\URL\URL | $url |
  int | $offset |
  int | $limit |

Returns
  \eZ\Publish\API\Repository\Values\URL\UsageSearchResult

Implemented in eZ\Publish\Core\SignalSlot\URLService, and eZ\Publish\Core\Repository\URLService.

## ◆ loadById()

eZ\Publish\API\Repository\URLService::loadById | ( |  | $id | ) |

Load single URL (by ID).

Exceptions

Implemented in eZ\Publish\Core\SignalSlot\URLService, and eZ\Publish\Core\Repository\URLService.

## ◆ loadByUrl()

eZ\Publish\API\Repository\URLService::loadByUrl | ( |  | $url | ) |

Load single URL (by URL).

Exceptions

Implemented in eZ\Publish\Core\SignalSlot\URLService, and eZ\Publish\Core\Repository\URLService.

## ◆ updateUrl()

eZ\Publish\API\Repository\URLService::updateUrl | ( | URL | $url,
|  | URLUpdateStruct | $struct
| ) |  |

Updates URL.

Exceptions

Implemented in eZ\Publish\Core\SignalSlot\URLService, and eZ\Publish\Core\Repository\URLService.

The documentation for this interface was generated from the following file:

- API/Repository/URLService.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.